/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 CASSIDIAN
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 */
package org.ow2.weblab.petals.bean;

public class ResponseBean {
	int nbDocOk;

	int nbDocSkipped;

	int nbDocError;

	public ResponseBean() {
		this(0, 0, 0);
	}

	public ResponseBean(final int nbDocOk, final int nbDocSkipped, final int nbDocError) {
		super();
		this.nbDocOk = nbDocOk;
		this.nbDocSkipped = nbDocSkipped;
		this.nbDocError = nbDocError;
	}

	public void add(final ResponseBean responseBean) {
		this.nbDocOk += responseBean.nbDocOk;
		this.nbDocSkipped += responseBean.nbDocSkipped;
		this.nbDocError += responseBean.nbDocError;

	}

	public String toXmlStatusString() {
		return "<StatusChainResponse xmlns=\"http://weblab.ow2.org/chains/\"><nbDocOK>"
				+ this.nbDocOk
				+ "</nbDocOK><nbDocSkipped>"
				+ this.nbDocSkipped
				+ "</nbDocSkipped><nbDocError>"
				+ this.nbDocError
				+ "</nbDocError>" + "</StatusChainResponse>";
	}

	public String toXmlStopString() {
		return "<StopChainResponse xmlns=\"http://weblab.ow2.org/chains/\"><nbDocOK>"
				+ this.nbDocOk
				+ "</nbDocOK><nbDocSkipped>"
				+ this.nbDocSkipped
				+ "</nbDocSkipped><nbDocError>"
				+ this.nbDocError
				+ "</nbDocError>" + "</StopChainResponse>";
	}

	public String toXmlChainString() {
		return "<ChainResponse xmlns=\"http://weblab.ow2.org/Chain/\"><nbDocOK>"
				+ this.nbDocOk
				+ "</nbDocOK><nbDocSkipped>"
				+ this.nbDocSkipped
				+ "</nbDocSkipped><nbDocError>"
				+ this.nbDocError
				+ "</nbDocError>" + "</ChainResponse>";
	}

	public int getNbDocOk() {
		return nbDocOk;
	}

	public void setNbDocOk(final int nbDocOk) {
		this.nbDocOk = nbDocOk;
	}

	public int getNbDocSkipped() {
		return nbDocSkipped;
	}

	public void setNbDocSkipped(final int nbDocSkipped) {
		this.nbDocSkipped = nbDocSkipped;
	}

	public int getNbDocError() {
		return nbDocError;
	}

	public void setNbDocError(final int nbDocError) {
		this.nbDocError = nbDocError;
	}

	@Override
	public String toString() {
		return "Ok: " + nbDocOk + " - Skipped: " + nbDocSkipped + " - Error: "
				+ nbDocError;
	}

}
